#1653 closed defect (fixed)

MPFR spec URL wrong

Reported by: Chris Johns Owned by: Ralf Corsepius
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

MPFR has a new release and the spec file URL is wrong. It is now:

http://www.mpfr.org/mpfr-2.4.2/mpfr-2.4.2.tar.bz2

The naming in this project makes keeping this link up to date a problem.

<side-issue>

I have also noticed:

http://www.rtems.org/ftp/pub/rtems/SOURCES/4.11

does not contain some of these sources:

http://www.multiprecision.org/mpc/download/mpc-0.8.1.tar.gz
http://www.mpfr.org/mpfr-current/mpfr-2.4.2.tar.bz2
ftp://ftp.gnu.org/gnu/gmp/gmp-4.3.2.tar.bz2
ftp://sources.redhat.com/pub/newlib/newlib-1.18.0.tar.gz
ftp://ftp.gnu.org/gnu/gcc/gcc-4.5.1/gcc-core-4.5.1.tar.bz2
ftp://ftp.gnu.org/gnu/gcc/gcc-4.5.1/gcc-g++-4.5.1.tar.bz2

plus patches. I am willing to automate the updating of these files based on the references in the spec files and to remove files after 6 months (or how-ever long) if not referenced in spec files. Please let me know if it is ok for me to do this.

</side-issues>

Change History (4)

comment:1 Changed on Feb 14, 2012 at 3:15:19 PM by Sebastian Huber

Cc: Sebastian Huber added

comment:2 Changed on Feb 22, 2012 at 7:56:39 AM by Ralf Corsepius

Resolution: fixed
Status: newclosed

Fixed long time ago.

comment:3 Changed on Nov 22, 2014 at 12:04:11 PM by Gedare Bloom

Description: modified (diff)
Milestone: 4.11
Version: unspecified4.11

comment:4 Changed on Oct 10, 2017 at 6:05:35 AM by Sebastian Huber

Component: CrossRPMunspecified
Note: See TracTickets for help on using tickets.